Package org.apache.sysds.runtime.compress.estim.sample

## Class HassAndStokes.MethodOfMomentsFunction

- java.lang.Object
- - org.apache.sysds.runtime.compress.estim.sample.HassAndStokes.MethodOfMomentsFunction

All Implemented Interfaces:
  `org.apache.commons.math3.analysis.UnivariateFunction`

Enclosing interface:
  HassAndStokes

    public static class HassAndStokes.MethodOfMomentsFunction
    extends Object
    implements org.apache.commons.math3.analysis.UnivariateFunction

### Constructor Summary

Constructors
`MethodOfMomentsFunction​(int nj, double q)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `value​(double x)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodOfMomentsFunction

    public MethodOfMomentsFunction​(int nj,
                                   double q)

### Method Detail

#### value

    public double value​(double x)

Specified by:
  `value` in interface `org.apache.commons.math3.analysis.UnivariateFunction`